import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bacteria fload along in the bloodstream. They are bad. Best to destroy them if you can.
 * 
 * 5.2: Bacteria travel from right to left; they are bad and supposed to be caught by the WBC.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Bacteria extends Actor
{
    private int speed; // 5.18;
    
    /**
     * Constructor.
     */
    public Bacteria()
    {
        speed = Greenfoot.getRandomNumber(4) + 1; // 5.19, 5.37
    }

    /**
     * Bacteria float somewhat slowly along the bloodstream, rotating gradually.
     */
    public void act() 
    {
        setLocation(getX() - speed, getY()); // 5.20
        turn(1);
        
        if (getX() == 0) 
        {
            Bloodstream bloodstream1 = (Bloodstream)getWorld();
            bloodstream1.addScore(-15); // 5.45
            getWorld().removeObject(this);
        }
    }
}