import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * 5.2: The Lining are objects at the edge of the vein. They represent the outer boundary of the bloodstream.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Lining extends Actor
{
    /**
     * 5.7: Lining continually moves to the right and disappears once it reaches the left side of the screen.
     */
    public void act() 
    {
        setLocation(getX() - 1, getY());
        if(getX() == 0)
        {            
            if(Bloodstream.plaqueCount > 70)
            {
                getWorld().addObject(new Lining(), 779, 1);
                getWorld().addObject(new Lining(), 779, 359);
            
                getWorld().addObject(new Lining(), 779, 35);
                getWorld().addObject(new Lining(), 779, 325);
                
                getWorld().addObject(new Lining(), 779, 70);
                getWorld().addObject(new Lining(), 779, 290);
            }            

            else if(Bloodstream.plaqueCount > 35)
            {
                getWorld().addObject(new Lining(), 779, 1);
                getWorld().addObject(new Lining(), 779, 356);
                
                getWorld().addObject(new Lining(), 779, 35);
                getWorld().addObject(new Lining(), 779, 325);
    
                getWorld().addObject(new Lining(), 779, Bloodstream.plaqueCount);
                getWorld().addObject(new Lining(), 779, Bloodstream.complement);
            }
            
            else 
            {
                getWorld().addObject(new Lining(), 779, 1);
                getWorld().addObject(new Lining(), 779, 356);
            
                getWorld().addObject(new Lining(), 779, Bloodstream.plaqueCount);
                getWorld().addObject(new Lining(), 779, Bloodstream.complement);
            }
            
            getWorld().removeObject(this);
        }
    }    
    
// 5.5 and 5.6
}